metadata:
  name: traprain
  format: "Apertis Test Definition 1.0"
  image-types:
    sdk:     [ amd64 ]
  image-deployment:
    - APT
  type: unit
  exec-type: automated
  priority: medium
  maintainer: "Apertis Project"
  description: "Traprain library test."

  macro_modules_preconditions: traprain

  expected:
    - "All tests should pass (ok). The output should be similar to:"
    - |
        >test.name0...ok
        test.name1...ok
        test.name2...ok
        test.nameN...ok

install:
  deps:
    - devscripts
    - gpgv
    - gnome-desktop-testing
    - libtraprain-0-tests
    - python3-debian
  steps:
    # Download in /tmp directory
    - cd /tmp/
    - apt source traprain
    - chown user:user -R /tmp/traprain-*
  git-repos:
    - url: https://gitlab.apertis.org/pkg/apertis-tests.git
      branch: 'apertis/v2022dev3'

run:
  steps:
    - "# Enter test directory:"
    - cd apertis-tests
    - "# Execute the following commands:"
    - common/run-test-in-systemd --timeout=900 --chdir /tmp/traprain-* --user=user --name=traprain -- sadt --verbose

parse:
  pattern: '^(?P<test_case_id>[a-zA-Z0-9_\-\./]+)\s...\s(?P<result>ok|FAIL|SKIP)'
  fixupdict:
    ok: pass
    FAIL: fail
    SKIP: skip
